- Qt 6.10
- Actuator
- Qt 6.10.2 Reference Documentation

# Actuator QML Type

The Actuator element represents a feedback actuator. More...

- List of all members, including inherited members

## Properties

- actuatorId : int
- enabled : bool
- name : string
- state : enumeration
- valid : bool

## Methods

- bool isCapabilitySupported(enumeration capability)

## Detailed Description

The Actuator class maps directly to the QFeedbackActuator C++ class, and can be used with HapticsEffect elements.

There are several predefined enumerations and constants provided in this object:

1. Capability

- Envelope - Value specifying that the device can bound its intensity by an envelope.
- Period - Value specifying that the device can play periodic effects.

2. State

- Busy - The actuator is busy.
- Ready - The actuator is ready to play an effect.
- Unknown - The actuator is in an unknown state.

See also HapticsEffect and QFeedbackActuator.

## Property Documentation

actuatorId : int

This property holds the id of the feedback actuator. This property is read only.

enabled : bool

This property is true if the feedback actuator is enabled.

name : string

This property holds the name of the feedback actuator. This property is read only.

state : enumeration

This property holds the state of the feedback actuator. This property is read only.

valid : bool

This property is true if the actuator is valid. This property is read only.

## Method Documentation

bool isCapabilitySupported(enumeration capability)

Returns if the actuator supports the supplied capability, available capabilities are:

- Envelope - Value specifying that the device can bound its intensity by an Envelope.
- Period - Value specifying that the device can play periodic effects.